Subject: Re: bug#73462: emacs-guix: shell commands broken

From: Christopher Howard <[email-masked]>
Date: Fri, 27 Sep 2024 13:10:01 -0800

In studying the bt and the code, it seems like the problem is here, in

/home/christopher/.config/guix/current/share/guile/site/3.0/guix/scripts/deploy.scm

around line 176

```
(define (invoke-command store machine command)
  "Invoke COMMAND, a list of strings, on MACHINE.  Display its output (if any)
and its error code if it's non-zero.  Return true if COMMAND succeeded, false
otherwise."
  (define invocation
    #~(begin
        (use-modules (ice-9 match)
                     (ice-9 rdelim)
                     (srfi srfi-11))
```

For some reason the "#~" g-expression syntax is not being recognized here, as far as I can tell without knowing much about g-expressions. I see that the (guix gexp) module is being used, so I suppose it must have something to do with the way the syntax is being used (misused?)

-- 
Christopher Howard